Bug 18489 - Нерабочий конфиг PAM в примерах
: Нерабочий конфиг PAM в примерах
Status: CLOSED FIXED
: Branch 4.1
(All bugs in Branch 4.1/vsftpd)
: unspecified
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-01-12 12:41 by
Modified: 2011-01-31 15:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-01-12 12:41:07
В связи с использованием в программе pam_userpass, по прилагающемуся описанию
не удаётся завести виртуальных пользователей.

Предлагаю пример конфигурации в файлах
/usr/share/doc/vsftpd-2.0.6/EXAMPLE/VIRTUAL_USERS/README
/usr/share/doc/vsftpd-2.0.6/EXAMPLE/VIRTUAL_USERS/vsftpd.pam
заменить на что-нибудь работоспособное, например:

#%PAM-1.0
auth    required pam_userpass.so
auth    required pam_userdb.so db=/etc/vsftpd_login use_first_pass
account required pam_userdb.so db=/etc/vsftpd_login
------- Comment #1 From 2009-02-09 03:56:15 -------
Fixed in Sisyphus (vsftpd-2.0.7-alt1)